Package org.apache.sysds.runtime.ooc.cache

# Class BlockKey

java.lang.Object
org.apache.sysds.runtime.ooc.cache.BlockKey

All Implemented Interfaces:
  `Comparable<BlockKey>`

Direct Known Subclasses:
  `GroupedBlockKey`

public class BlockKey extends Object implements Comparable<BlockKey>

## Constructor Summary

Constructors
Constructor
Description
`BlockKey(long streamId, long sequenceNumber)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(@NotNull BlockKey blockKey)`
`boolean`
`equals(Object obj)`
`long`
`getSequenceNumber()`
`long`
`getStreamId()`
`int`
`hashCode()`
`String`
`toFileKey()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BlockKey

public BlockKey(long streamId, long sequenceNumber)

## Method Details

### getStreamId

public long getStreamId()

### getSequenceNumber

public long getSequenceNumber()

### compareTo

public int compareTo(@NotNull @NotNull BlockKey blockKey)

Specified by:
  `compareTo` in interface `Comparable<BlockKey>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toFileKey

public String toFileKey()